package baidu

import (
	"fmt"
	"io/ioutil"
	"net/http"
	"net/url"
)

type baiduMap struct {
	Ak  string
	Url string
}

var BaiDuMap = baiduMap{}

func (that *baiduMap) Init(Ak string) {
	//"ak=ZeT902EZvVgIoGVWEFK3osUm"
	that.Ak = Ak
	that.Url = "https://api.map.baidu.com/place/v2/suggestion?output=json" + "&ak=" + Ak
	//query
}

// GetPosition  获取定位列表
func (that *baiduMap) GetPosition(name string, region string) (string, error) {

	client := &http.Client{}
	if region == "" {
		region = "全国"
	}
	reqest, err := http.NewRequest("GET", that.Url+"&query="+url.PathEscape(name)+"&region="+url.PathEscape(region), nil)

	if err != nil {
		fmt.Println("Fatal error ", err.Error())
		return "", err
	}
	response, err := client.Do(reqest)
	defer response.Body.Close()

	if err != nil {
		fmt.Println("Fatal error ", err.Error())
		return "", err
	}

	body, err := ioutil.ReadAll(response.Body)
	if err != nil {
		return "", err
	}

	//fmt.Println(string(body))

	return string(body), err

}
